# List products Obtains a list of products that match the specified criteria Endpoint: GET /products Version: 1.0.0 Security: basicAuth ## Query parameters: - `sku` (string) Returns products that match the specified SKU - `name` (string) Returns products that match the specified product name - `productCategoryId` (integer) Returns products that match the specified productCategoryId - `productTypeId` (integer) Returns products that match the specified productTypeId - `tagId` (integer) Returns products that match the specified tagId - `startDate` (string) Returns products created after the specified date - `endDate` (string) Returns products created before the specified date - `showInactive` (boolean) Specifies whether to include inactive products - `sortBy` (string) Sorts the order of the response Enum: "SKU", "ModifyDate", "CreateDate" - `sortDir` (string) Sort direction Enum: "ASC", "DESC" - `page` (integer) Page number - `pageSize` (integer) Number of results per page. Maximum 500. ## Response 200 fields (application/json): - `products` (array) - `products.productId` (integer) Example: 123456789 - `products.sku` (string) Example: "BEAU-000" - `products.name` (string) Example: "Beautiful" - `products.price` (number) - `products.active` (boolean) Example: true - `total` (integer) - `page` (integer) - `pages` (integer) ## Response 400 fields (application/json): - `message` (string) Example: "Invalid request parameters" ## Response 401 fields (application/json): - `message` (string) Example: "Invalid API credentials" ## Response 500 fields (application/json): - `message` (string) Example: "An internal error occurred"